Skip to main content
GET
/
v1
/
issuing
/
balances
List Issuing Balances
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/balances \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 1,
  "total_items": 10,
  "data": [
    {
      "balance_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "currency": "USD",
      "available_balance": 5000.25,
      "margin_balance": 10000,
      "frozen_balance": 2353.25,
      "create_time": "2024-03-21T17:17:32+08:00",
      "last_trade_time": "2024-03-21T17:17:32+08:00",
      "balance_status": "ACTIVE"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1

Response

OK - Balances returned successfully.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]